\name{getReferenceCoordinatesForName-methods}
\docType{methods}
\alias{getReferenceCoordinatesForName}
\alias{getReferenceCoordinatesForName-methods}
\alias{getReferenceCoordinatesForName,workbook-method}
\title{Querying the coordinates of the range reference by an Excel name}
\description{
Queries the coordinates of an Excel name in a \code{\linkS4class{workbook}}.
}
\usage{
\S4method{getReferenceCoordinatesForName}{workbook}(object,name)
}

\arguments{
  \item{object}{The \code{\linkS4class{workbook}} to use}
  \item{name}{The name to query. This argument is vectorized such that
  multiple names can be queried with one method call.}
}

\author{
Thomas Themel\cr
Mirai Solutions GmbH \url{http://www.mirai-solutions.com}
}
\seealso{
\code{\linkS4class{workbook}}, \code{\link[=createName-methods]{createName}}, \code{\link[=existsName-methods]{existsName}},
\code{\link[=removeName-methods]{removeName}}, \code{\link[=getReferenceFormula-methods]{getReferenceFormula}}, 
\code{\link[=getReferenceCoordinatesForTable-methods]{getReferenceCoordinatesForTable}}
}
\examples{
# mtcars xlsx file from demoFiles subfolder of package XLConnect
demoExcelFile <- system.file("demoFiles/mtcars.xlsx", package = "XLConnect")

# Load workbook
wb <- loadWorkbook(demoExcelFile)

# Query reference coordinate for name 'mtcars'
print(getReferenceCoordinatesForName(wb, name = "mtcars"))
}
\keyword{methods}
\keyword{utilities}
